Subject: Re: [PATCH v2 7/8] repack: implement `--filter-to` for storing filtered out objects

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Jul 2023 11:26:18 -0700

Christian Couder <[email-masked]> writes:

> A previous commit has implemented `git repack --filter=<filter-spec>` to
> allow users to filter out some objects from the main pack and move them
> into a new different pack.

OK, this sidesteps the question I had on an earlier step rather
nicely.  Instead of having to find out which ones are to be moved
away, just generating them in a separate location would be more
straight forward.

The implementation does not seem to restrict where --filter-to
directory can be placed, but shouldn't it make sure that it is one
of the already specified alternates directories?  Otherwise the user
will end up corrupting the repository, no?